#
# spec file for package yast2-migration
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-migration
Version:        4.1.1
Release:        lp151.1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

Url:            http://github.com/yast/yast-migration
BuildRequires:  yast2 >= 3.1.130
BuildRequires:  yast2-buildtools
BuildRequires:  yast2-packager
BuildRequires:  yast2-ruby-bindings
BuildRequires:  rubygem(rspec)
BuildRequires:  rubygem(yast-rake)
# needed in build for testing
BuildRequires:  yast2-installation >= 3.1.137
BuildRequires:  yast2-update
Requires:       yast2 >= 3.1.130
Requires:       yast2-packager
Requires:       yast2-pkg-bindings
Requires:       yast2-ruby-bindings
# new rollback client
Requires:       yast2-registration >= 3.1.153
# need recent enough installation for working proposal runner
Requires:       yast2-installation >= 3.1.146
Requires:       yast2-update
Supplements:    yast2-registration

BuildArch:      noarch

Summary:        YaST2 - Online migration
License:        GPL-2.0-only
Group:          System/YaST

%description
This package contains the YaST2 component for online migration.

%prep
%setup -n %{name}-%{version}

%check
rake test:unit

%build

%install
rake install DESTDIR="%{buildroot}"

%files
%defattr(-,root,root)
%{yast_clientdir}/*.rb
%{yast_libdir}/migration
%{yast_desktopdir}/*.desktop
%{yast_icondir}

%dir %{yast_docdir}
%license COPYING
%doc %{yast_docdir}/README.md
%doc %{yast_docdir}/CONTRIBUTING.md

%changelog
* Thu Nov 29 2018 lslezak@suse.cz
- Build fix, update unit tests related to the icon handling
  (boo#1109310)
- 4.1.1
* Sun Nov 25 2018 Stasiek Michalski <hellcp@mailbox.org>
- Provide icon with module (boo#1109310)
- 4.1.0
* Wed Oct 17 2018 schubi@suse.de
- Added %%license to spec file. Needed to build
  fix for bsc#1071757 again.
- 4.0.1
* Thu Dec  7 2017 igonzalezsosa@suse.com
- Bump version to follow the new versioning guidelines
  (related to bsc#1071757).
- 4.0.0
* Tue Jun  6 2017 mfilka@suse.com
- bnc#1040118
  - moved YCC laucher from "System" into "Software" group even in
    GTK
- 3.2.0
* Thu Nov 26 2015 stephan.barth@suse.com
- Added Supplements for yast2-registration to ensure automatic installation
  (bsc#982150)
- 3.1.13.1
* Thu Oct  8 2015 lslezak@suse.cz
- fixed crash in the migration proposal (do not use "return"
  for returning the client result value) (bsc#949484)
- 3.1.13
* Tue Oct  6 2015 lslezak@suse.cz
- display a hint to manually rollback the system when migration
  fails or is aborted during package installation (FATE#315161)
- 3.1.12
* Thu Sep 24 2015 lslezak@suse.cz
- do not display the "success" dialog when the package installation
  is aborted (bsc#947416)
- 3.1.11
* Tue Sep 22 2015 lslezak@suse.cz
- rollback registration when migration is aborted after registering
  the migration products (FATE#315161)
- 3.1.10
* Wed Sep 16 2015 lslezak@suse.cz
- install package management patches at the beginning to ensure
  the latest migration packages are used (bsc#945032)
- 3.1.9
* Mon Sep 14 2015 lslezak@suse.cz
- add "important" flag to the snapshots created by the migration
  module (bsc#944019)
- disable the default snapshots created by the zypp plugin
  (bsc#944019)
- 3.1.9
* Tue Sep  1 2015 lslezak@suse.cz
- disable "Back" at the initial dialog
- restore (enable) the Updates repositories at the end of the
  migration workflow (bsc#943960)
- 3.1.8
* Wed Aug 19 2015 lslezak@suse.cz
- create the "post" snapshot after restart to avoid possible issues
  with fast_gettext (bnc#942080)
- 3.1.7
* Tue Aug 18 2015 lslezak@suse.cz
- create a pair of "pre" and "post" filesystem snapshots (instead
  of a single snapshot) (bsc#942110)
- 3.1.6
* Tue Aug 18 2015 lslezak@suse.cz
- restart YaST after upgrading the packages to avoid using the old
  (removed) files (bnc#942080)
- 3.1.5
* Fri Aug 14 2015 lslezak@suse.cz
- ignore the installed products when searching for obsolete
  repositories (bsc#941532)
- 3.1.4
* Thu Aug 13 2015 lslezak@suse.cz
- display a finish dialog at the very end, suggest rebooting the
  machine to activate the changes (new kernel, ...) (bsc#941625)
- 3.1.3
* Wed Aug  5 2015 lslezak@suse.cz
- display a warning for repositories providing an obsolete product
  (FATE#319130)
- 3.1.2
* Thu Jul  2 2015 lslezak@suse.cz
- call the registration client to add and configure the migration
  repositories (FATE#315161)
- use a specific migration proposal client
- 3.1.1
* Wed Mar 25 2015 jreidinger@suse.com
- initial package
